package com.jxy.marketall.enums;


public enum ETHV2RedisName {

    ETH_PRICE("dailyindsv2na", "price","ethPriceList"),
    ETH_CDD("dailyindsv2na", "cdd","ETHCoinDaysDescList"),
    ETH_DORMANCY("dailyindsv2na", "dormancy","ETHDormancyList"),
    ETH_ASOL("dailyindsv2na", "asol","ETHAverageSpentOutLifespanList"),
    ETH_CDDWAVE("dailyindsv2na", "cdd1,cdd7...","ETHCoinDaysDescWaveList"),
    ETH_ADDRESS_BALANCE("dailyindsv2na", "address_balance_nozero,...address_balance_10k","ETHAddressBalanceList"),
    ETH_BALANCE("dailyindsv2na", "balance_nozero,...,balance_10k","ETHBalanceList"),
    ETH_INFLATION_RATE("dailyindsv2na", "inflation_rate","ETHInflationRateList"),
    ETH_CSUPPLY("dailyindsv2na", "csupply","ETHCsupplyList"),
    ETH_ISSUANCE("dailyindsv2na", "issuance","ETHIssuanceList"),
    ETH_SOPR("dailyindsv2na", "sopr","ETHSOPRList"),
    ETH_NVT_RATIO("dailyindsv2na", "nvt_ratio","ETHNVTRatioList"),
    ETH_VELOCITY("dailyindsv2na", "velocity","ETHVelocityList"),
    ETH_LIVELINESS("dailyindsv2na", "liveliness","ETHLivelinessList"),
    ETH_FRM("dailyindsv2na", "frm","ETHFeeRatioMultipleList"),
    ETH_NUPL("dailyindsv2na", "nupl","ETHNUPLList"),
    ETH_MARKETCAP("dailyindsv2na", "marketcap","ETHMarketcapList"),
    ETH_REALIZED_CAP("dailyindsv2na", "realized_cap","ETHRealizedCapList"),
    ETH_REALIZED_RRICE("dailyindsv2na", "realized_price","ETHRealizedPriceList"),
    ETH_MVRV_RATIO("dailyindsv2na", "mvrv_ratio","ETHMVRVRatioList"),
    ETH_BURNED_SUPPLY("dailyindsv2na", "burned_supply","ETHBurnedSupplyList"),
    ETH_MINTED_SUPPLY("dailyindsv2na", "minted_supply","ETHMintedSupplyList"),
    ETH_ADDRESS_PROFIT_RATIO("dailyindsv2nb", "address_profit_ratio","ETHAddressProfitRatioList"),
    ETH_ADDRESS_PROFIT("dailyindsv2nb", "address_profit","ETHAddressProfitList"),
    ETH_ADDRESS_LOSS("dailyindsv2nb", "address_loss","ETHAddressLossList"),
    ETH_SUPPLY_PROFIT_RATIO("dailyindsv2nb", "supply_profit_ratio","ETHSupplyProfitRatioList"),
    ETH_SUPPLY_PROFIT("dailyindsv2nb", "supply_profit","ETHSupplyProfitList"),
    ETH_SUPPLY_LOSS("dailyindsv2nb", "supply_loss","ETHSupplyLossList"),
    ETH_RELATIVE_UNREALIZED_PROFIT("dailyindsv2nb", "relative_uprofit","ETHRelativeUProfitList"),
    ETH_RELATIVE_UNREALIZED_LOSS("dailyindsv2nb", "relative_uloss","ETHRelativeULossList"),
    ETH_LTH_NUPL("dailyindsv2nb", "lth_nupl","ETHLTHNUPLList"),
    ETH_STH_NUPL("dailyindsv2nb", "sth_nupl","ETHSTHNUPLList");

    private final String table;
    private final String filed;
    private final String key;

    ETHV2RedisName(String table, String filed, String key) {
        this.table = table;
        this.filed = filed;
        this.key = key;
    }


    public String getTable()
    {
        return table;
    }

    public String getFiled()
    {
        return filed;
    }

    public String getKey()
    {
        return key;
    }
}
